CURLOPT_MAX_SEND_SPEED_LARGE(3)

NAME
CURLOPT_MAX_SEND_SPEED_LARGE - rate limit data upload speed

SYNOPSIS
#include <curl/curl.h>
CURLcode curl_easy_setopt(CURL *handle, CURLOPT_MAX_SEND_SPEED_LARGE,
                          curl_off_t maxspeed);

DESCRIPTION
Pass a curl_off_t as parameter with the maxspeed. If an upload exceeds this speed (counted in bytes per second) the transfer will pause to keep the speed less than or equal to the parameter value. Defaults to unlimited speed. This option doesn't affect transfer speeds done with FILE:// URLs.

DEFAULT
0, disabled

PROTOCOLS
All except file://

EXAMPLE
CURL *curl = curl_easy_init();
if(curl) {
  CURLcode ret;
  curl_easy_setopt(curl, CURLOPT_URL, "https://example.com/");
  /* cap the upload speed to 1000 bytes/sec */
  curl_easy_setopt(curl, CURLOPT_MAX_SEND_SPEED_LARGE, (curl_off_t)1000);
  /* (set some upload options as well!) */
  ret = curl_easy_perform(curl);
}

AVAILABILITY
Added in 7.15.5

RETURN VALUE
Returns CURLE_OK if the option is supported, and CURLE_UNKNOWN_OPTION if not.

SEE ALSO
CURLOPT_MAX_RECV_SPEED_LARGE(3), CURLOPT_LOW_SPEED_LIMIT(3),